- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# ClpDualRowDantzig Class Reference

Dual Row Pivot Dantzig Algorithm Class. More...

`#include <ClpDualRowDantzig.hpp>`

Inheritance diagram for ClpDualRowDantzig:

[legend]
Collaboration diagram for ClpDualRowDantzig:

[legend]
List of all members.

## Public Member Functions
Algorithmic methods
virtual int | pivotRow ()
| Returns pivot row, -1 if none.
virtual double | updateWeights (CoinIndexedVector *input, CoinIndexedVector *spare, CoinIndexedVector *updatedColumn)
| Updates weights and returns pivot alpha.
virtual void | updatePrimalSolution (CoinIndexedVector *input, double theta, double &changeInObjective)
| Updates primal solution (and maybe list of candidates) Uses input vector which it deletes Computes change in objective function.
Constructors and destructors
| ClpDualRowDantzig ()
| Default Constructor.
| ClpDualRowDantzig (const ClpDualRowDantzig &)
| Copy constructor.
ClpDualRowDantzig & | operator= (const ClpDualRowDantzig &rhs)
| Assignment operator.
virtual | ~ClpDualRowDantzig ()
| Destructor.
virtual ClpDualRowPivot * | clone (bool copyData=true) const
| Clone.

## Detailed Description

Dual Row Pivot Dantzig Algorithm Class.

This is simplest choice - choose largest infeasibility

Definition at line 16 of file ClpDualRowDantzig.hpp.

## Constructor & Destructor Documentation

ClpDualRowDantzig::ClpDualRowDantzig | ( |  | ) |

Default Constructor.

ClpDualRowDantzig::ClpDualRowDantzig | ( | const ClpDualRowDantzig & |  | ) |

Copy constructor.

virtual ClpDualRowDantzig::~ClpDualRowDantzig | ( |  | ) | `[virtual]`

Destructor.

## Member Function Documentation

virtual int ClpDualRowDantzig::pivotRow | ( |  | ) | `[virtual]`

Returns pivot row, -1 if none.

Implements ClpDualRowPivot.

virtual double ClpDualRowDantzig::updateWeights | ( | CoinIndexedVector * | input,
|  | CoinIndexedVector * | spare,
|  | CoinIndexedVector * | updatedColumn |
| ) |  |  | `[virtual]`

Updates weights and returns pivot alpha.

Implements ClpDualRowPivot.

virtual void ClpDualRowDantzig::updatePrimalSolution | ( | CoinIndexedVector * | input,
|  | double | theta,
|  | double & | changeInObjective |
| ) |  |  | `[virtual]`

Updates primal solution (and maybe list of candidates) Uses input vector which it deletes Computes change in objective function.

Implements ClpDualRowPivot.

ClpDualRowDantzig& ClpDualRowDantzig::operator= | ( | const ClpDualRowDantzig & | rhs | ) |

Assignment operator.

virtual ClpDualRowPivot* ClpDualRowDantzig::clone | ( | bool | copyData = `true` | ) | const`[virtual]`

Clone.

Implements ClpDualRowPivot.

The documentation for this class was generated from the following file:

- /home/coin/SVN-release/Cgl-0.52.0/Clp/src/ClpDualRowDantzig.hpp